### Class

# Gom Cursor

#### Description

    class Gom.Cursor : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### gom_cursor_get_column

No description available.

###### gom_cursor_get_column_boolean

No description available.

###### gom_cursor_get_column_double

No description available.

###### gom_cursor_get_column_float

No description available.

###### gom_cursor_get_column_int

No description available.

###### gom_cursor_get_column_int64

No description available.

###### gom_cursor_get_column_name

No description available.

###### gom_cursor_get_column_string

No description available.

###### gom_cursor_get_column_uint

No description available.

###### gom_cursor_get_column_uint64

No description available.

###### gom_cursor_get_n_columns

No description available.

###### gom_cursor_next

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gom.Cursor:statement

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GomCursorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.